<?php
/*
	Author:  Jason F. Irwin Jfi
	Author URI: http://www.j2fi.net/
	Description: Displays Folding@Home stats
*/

load_plugin_textdomain('foldhome');

/* Create Default Account Number if it Doesn't Exist */
add_option('fold_acct', 'fold-id');
add_option('fold_expy', '4');

$location = get_option('foldurl') . '/wp-admin/admin.php?page=folding-stats/options-folding.php'; // Form Action URI

/*check form submission and update options*/
if ('process' == $_POST['stage'])
{
  update_option('fold_acct', $_POST['fold_acct']);
  update_option('fold_expy', $_POST['fold_expy']);
}

/*Get options for form fields*/
$fold_acct = get_option('fold_acct');
$fold_expy = get_option('fold_expy');

?>

<form name="fold"></form>
<div class="wrap">
  <h2><?php _e('Folding Options') ?></h2>
  <form id="fold_form" name="form1" method="post" action="<?php echo $location ?>&amp;updated=true">
  	<input type="hidden" name="stage" value="process" />

  	<fieldset class="options">
  		<legend><?php _e('Personal Settings') ?></legend>
  		<table width="100%" cellpadding="5" class="editform">
  			<tr>
					<td><label for="fold_acct">Account ID:</label></td>
					<td><input style="width: 200px;" id="fold_acct" name="fold_acct" type="text" value="<?php echo $fold_acct;?>" /></td>
				</tr>
  			<tr>
					<td><label for="fold_expy">Refresh (in Hours):</label></td>
					<td><input style="width: 50px;" id="fold_expy" name="fold_expy" type="text" value="<?php echo $fold_expy;?>" /></td>
				</tr>
			</table>
    </fieldset>

    <p class="submit">
      <input type="submit" name="Submit" value="<?php _e('Update options') ?> &raquo;" />
    </p>
  </form>
</div>